package de.unileipzig.datenschutz.paper10.demo.data;

import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.ManyToMany;

import java.util.Objects;
import java.util.Set;

@Entity
public class FontsData {

    @Id
    String font;

    @ManyToMany(mappedBy = "installedFonts")
    private Set<FontsFingerprint> partOf;

    FontsData(){

    }
    public FontsData(String font) {
        this.font = font;
    }

    public String getFont() {
        return font;
    }

    public void setFont(String font) {
        this.font = font;
    }

    public Set<FontsFingerprint> getPartOf() {
        return partOf;
    }

    public void setPartOf(Set<FontsFingerprint> partOf) {
        this.partOf = partOf;
    }

}
