package de.unileipzig.datenschutz.paper10.demo.data;

import org.springframework.data.repository.CrudRepository;

import java.util.Set;

public interface HeaderFingerprintRepo extends CrudRepository<HeaderFingerprint, Long> {

    Set<HeaderFingerprint> findByOsTypeIs(String value);
    Set<HeaderFingerprint> findByOsTypeIsAndOsVersionIs(String value, String value2);
    Set<HeaderFingerprint> findByOsTypeIsAndOsVersionIsAndOsSubVersionIs(String value, String value2, String value3);
    Set<HeaderFingerprint> findByDeviceIs(String value);
    Set<HeaderFingerprint> findByUseragentFamilyIs(String value);
    Set<HeaderFingerprint> findByUseragentFamilyIsAndUseragentVerisonIs(String value, String value2);
    Set<HeaderFingerprint> findByUseragentFamilyIsAndUseragentVerisonIsAndUseragentSubVersionIs(String value, String value2, String value3);
}
