// JavaScript-Code
var trackScreen = function() {
  // Erfasse die Bildschirmgröße
  var screenSize = {
    width: window.innerWidth || document.documentElement.clientWidth || document.body.clientWidth,
    height: window.innerHeight || document.documentElement.clientHeight || document.body.clientHeight
  };

  // Sende die erfassten Daten an den Spring REST-Endpunkt
  var xhr = new XMLHttpRequest();
  xhr.open("POST", "/screensize", true);
  xhr.setRequestHeader("Content-Type", "application/json");

  var data = JSON.stringify({
    screenSize: screenSize
  });

  console.log(data);

  xhr.send(data);
};

document.addEventListener('DOMContentLoaded', trackScreen, false);